Next Commerce
Support

Tickets Attachments Create

Attach new files in an existing ticket.

POST
/tickets/attachments/

Authorization

oauth2 tickets:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: tickets:write

Header Parameters

X-29next-API-Version*"2023-02-10"
Default"2023-02-10"

Value in

  • "2023-02-10"

Request Body

multipart/form-data

Response Body

application/json

curl -X POST "https://example.com/tickets/attachments/" \  -H "X-29next-API-Version: 2023-02-10"
{  "assignee": 0,  "channel": "customer_account",  "comments": [    {      "attachments": [        {          "file": "http://example.com",          "file_name": "string",          "id": 0        }      ],      "author": 0,      "body": "string",      "created_at": "2019-08-24T14:15:22Z",      "from_email": "user@example.com",      "id": 0,      "is_public": true    }  ],  "created_at": "2019-08-24T14:15:22Z",  "from_email": "user@example.com",  "id": 0,  "order": "string",  "priority": "high",  "products": [    0  ],  "requester": 0,  "status": "new",  "subject": "string",  "tags": [    "string"  ],  "ticket_type": 0,  "updated_at": "2019-08-24T14:15:22Z"}